# -*-makefile-*-
# $Id: template 4565 2006-02-10 14:23:10Z mkl $
#
# Copyright (C) 2006 by 
#          
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_PHYCORE_PCM027) += phyCORE-pcm027

PHYCORE_pcm027_VERSION = 1.0.0

#
# Paths and names
#

-include $(call package_depfile)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

phyCORE-pcm027_targetinstall: $(STATEDIR)/phyCORE-pcm027.targetinstall

$(STATEDIR)/phyCORE-pcm027.targetinstall:
	@$(call targetinfo, $@)

	@$(call install_init,phyCore-pcm027)
	@$(call install_fixup,phyCore-pcm027, PACKAGE,phycore-pcm027)
	@$(call install_fixup,phyCore-pcm027, PRIORITY,optional)
	@$(call install_fixup,phyCore-pcm027, VERSION,$(PHYCORE_pcm027_VERSION))
	@$(call install_fixup,phyCore-pcm027, SECTION,base)
	@$(call install_fixup,phyCore-pcm027, AUTHOR,"Robert Schwebel <r.schwebel\@pengutronix.de>")
	@$(call install_fixup,phyCore-pcm027, DEPENDS,)
	@$(call install_fixup,phyCore-pcm027, DESCRIPTION,missing)

	# create /etc/rc.d links
	@$(call install_copy, phyCore-pcm027, 0, 0, 0755, /etc/rc.d)
	@$(call install_copy, phyCore-pcm027, 0, 0, 0755, /etc/init.d)
	$(call install_copy, phyCore-pcm027, 0, 0, 0755, $(PTXDIST_WORKSPACE)/projectroot/etc/network/can-pre-up, /etc/network/can-pre-up)
	@$(call install_copy, phyCore-pcm027, 0, 0, 0644, $(PTXDIST_WORKSPACE)/projectroot/etc/modules, /etc/modules)
	# create some special setup files
	@$(call install_copy, phyCore-pcm027, 0, 0, 0755, $(PTXDIST_WORKSPACE)/projectroot/etc/gpio/gpio, /etc/init.d/gpio, n)
	@$(call install_link, phyCore-pcm027, ../init.d/gpio, /etc/rc.d/S12_gpio)
	@$(call install_copy, phyCore-pcm027, 0, 0, 0755, $(PTXDIST_WORKSPACE)/projectroot/etc/X11/xorg.conf, /etc/X11/xorg.conf, n)

ifdef PTXCONF_PEKWM
	cd $(PTXDIST_WORKSPACE)/projectroot/etc/pekwm && \
		for file in `find -type f ! -path "*.svn*"`; do \
			$(call install_copy, phyCore-pcm027, 0, 0, 0644, $$file, /etc/pekwm/$$file, n) \
		done
endif
ifdef PTXCONF_XORG_SERVER
	@$(call install_copy, phyCore-pcm027, 0, 0, 0755, $(PTXDIST_WORKSPACE)/projectroot/usr/lib/X11/fonts/misc/fonts.dir, /usr/lib/X11/fonts/misc/fonts.dir, n)
	@$(call install_copy, phyCore-pcm027, 0, 0, 0755, $(PTXDIST_WORKSPACE)/projectroot/etc/X11/xinitrc, /etc/X11/xinitrc, n)
	@$(call install_copy, phyCore-pcm027, 0, 0, 0755, $(PTXDIST_WORKSPACE)/projectroot/etc/init.d/xorg, /etc/init.d/xorg, n)
	@$(call install_link, phyCore-pcm027, ../init.d/xorg, /etc/rc.d/S13_xorg)
	@$(call install_link, phyCore-pcm027, /usr/bin/Xorg, /usr/bin/X)
endif

	@$(call install_copy, phyCore-pcm027, 0, 0, 0755, $(PTXDIST_WORKSPACE)/projectroot/etc/hosts.equiv, /etc/hosts.equiv, n)
	@$(call install_copy, phyCore-pcm027, 0, 0, 0755, $(PTXDIST_WORKSPACE)/projectroot/etc/passwd, /etc/passwd, n)
	@$(call install_copy, phyCore-pcm027, 0, 0, 0755, $(PTXDIST_WORKSPACE)/projectroot/etc/shadow, /etc/shadow, n)

	@$(call install_finish, phyCore-pcm027)

	@$(call touch, $@)

# vim: syntax=make
